Skip to main content
GET
Retrieve User

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Encoding
string

We can compress a response with gzip.

Example:

"gzip deflate"

API-Version
string

API API Version. See Versioning page for more details.

Example:

"2024-07-01"

Path Parameters

id
integer
required

An userId.

Example:

1

Response

Returns a user

id
integer
required

User's id

Example:

1

first_name
string
required

User's first name

Example:

"John"

last_name
string
required

User's last name

Example:

"Smith"

phone_number
string
required

User's US phone number. 10 digits without +

Example:

"9891231230"

email
string
required

User's email

Example:

"john_smith@debt-wise.com"

date_of_birth
string<date>
required

User's date of birth

Example:

"1993-03-03"

ssn
string

User's social security number. From 8 to 9 digits

Example:

"12345678"